UbuntuUpdates.org

Package "python-pip"

Name: python-pip

Description:

alternative Python package installer

Latest version: 8.1.1-2ubuntu0.4
Release: xenial (16.04)
Level: updates
Repository: universe
Homepage: https://pip.pypa.io/en/stable/

Links

Save this URL for the latest version of "python-pip": https://www.ubuntuupdates.org/python-pip


Download "python-pip"


Other versions of "python-pip" in Xenial

Repository Area Version
base universe 8.1.1-2

Packages in group

Deleted packages are displayed in grey.


Changelog

Version: 8.1.1-2ubuntu0.4 2016-11-21 10:06:38 UTC

  python-pip (8.1.1-2ubuntu0.4) xenial; urgency=medium

  * d/patches/lp1626258.patch: Fix AttibuteError when accessing
    Requirement.project_name instead of Requirement.name. (LP: #1626258)
  * d/tests:
    - control: Add needs-recommends restriction.
    - pip2-*.sh: Install world 3.1, it's the latest version compatible
      with python2.

 -- Felipe Reyes <email address hidden> Wed, 21 Sep 2016 17:43:32 -0300

Source diff to previous version
1626258 [SRU] AttributeError: 'Requirement' object has no attribute 'project_name'

Version: 8.1.1-2ubuntu0.2 2016-08-22 12:06:55 UTC

  python-pip (8.1.1-2ubuntu0.2) xenial; urgency=medium

  * d/patches/skip-bad-requirements.patch: Cherry pick from Yakkety to fix
    crash in `pip3 freeze` when `python3-lxc` is installed. (LP: #1611503)

 -- Barry Warsaw <email address hidden> Tue, 09 Aug 2016 16:22:49 -0400

Source diff to previous version
1611503 [SRU] python3-lxc breaks pip3 freeze in Xenial

Version: 8.1.1-2ubuntu0.1 2016-05-25 19:07:08 UTC

  python-pip (8.1.1-2ubuntu0.1) xenial; urgency=medium

  * d/patches/editable-mode.patch: Cherry pick upstream fixes for crash
    when pip installing in editable mode. (LP: #1578761)
  * d/tests:
    - pip3-editable.sh: Added to prove the crash is fixed.
    - control: Updated
    - *.sh: export PIP_DISABLE_PIP_VERSION_CHECK=1 to prevent stderr
      warnings (and thus test failures) because of the newer upstream.
  * d/control:
    - Add python3-pyparsing as a new Build-Depends as this is required
      for the cherry picked fix.
    - Update the python-colorama and python-setuptools Built-Using versions.
    - Add pyparsing to Built-Using.
    - update-maintainer
  * d/rules: dirtbike up pyparsing.

 -- Barry Warsaw <email address hidden> Thu, 05 May 2016 16:11:04 -0500

1578761 editable mode crash



About   -   Send Feedback to @ubuntu_updates